<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Global/ErrorModuleHandler/ConnectErrorClientModule.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dd6/_connect_error_client_module_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ConnectErrorClientModule.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/dd6/_connect_error_client_module_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">    1</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a6ce26a62afab55d7606ad4e92428b30c">    3</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a> = -1,               <span class="comment">// -1 must always be UNKNOWN</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a2bc49ec37d6a5715dd23e85f1ff5bb59">    4</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a2bc49ec37d6a5715dd23e85f1ff5bb59">OK</a> = 0,                     <span class="comment">// 0 must always be OK</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a724663616e20bd2ad7e196c7e271516c">    6</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a724663616e20bd2ad7e196c7e271516c">SERVER_UNREACHABLE</a>,         <span class="comment">// Could not connect to server because it is not reachable (offline, restarting, ..)</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a27791dfb1f2dafcaa3f254cc2fdfc587">    7</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a27791dfb1f2dafcaa3f254cc2fdfc587">ALREADY_CONNECTING</a>,         <span class="comment">// Client is already attempting to join a server</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a59d6d2068087b19ff990dc34f2ef238a">    8</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a59d6d2068087b19ff990dc34f2ef238a">ERROR_MSG_SHOWED</a>,           <span class="comment">// Indicates there is an error on screen that has yet to be confirmed</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a6cb1555724a28acf44a5160d21b8a485">    9</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a6cb1555724a28acf44a5160d21b8a485">INCORRECT_CLIENT_STATE</a>,     <span class="comment">// The client is already connected or is connecting to a server</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a492150679209559fe78671f21ea66bbe">   10</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a492150679209559fe78671f21ea66bbe">INVALID_SESSION</a>,            <span class="comment">// The guid of the session is empty</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span> </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a746b7d27d7150aa9997d41abeab1144d">   12</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a746b7d27d7150aa9997d41abeab1144d">VERSION_MISMATCH</a>,           <span class="comment">// Mismatch between server and client version</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593aec3eb868a7f7cabc09f2546845ca84da">   13</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593aec3eb868a7f7cabc09f2546845ca84da">VERSION_MISMATCH_RB</a>,        <span class="comment">// Client build is lower than &quot;requiredBuild&quot; (server config)</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a68f5be09b28089e051fed7794ea5e41d">   14</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a68f5be09b28089e051fed7794ea5e41d">VERSION_MISMATCH_AB</a>,        <span class="comment">// Client build is higher than &quot;allowedBuild&quot; (server config)</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a7921d7940e343d1862be904b31100827">   16</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a7921d7940e343d1862be904b31100827">DLC_CHECK_FAILED</a>,           <span class="comment">// Client does not have required DLC</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a4712cb64f64b315736aaea8d419e6209">   17</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a4712cb64f64b315736aaea8d419e6209">EMPTY_PASSWORD</a>,             <span class="comment">// Player input an empty password</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a0763974ac198d8ead8dd2112dadfb216">   19</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a0763974ac198d8ead8dd2112dadfb216">PASSWORD</a>,                   <span class="comment">// Server is password protected</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a362b93e14edc783d1156cd84956240aa">   20</a></span>    <a class="code hl_enumvalue" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a362b93e14edc783d1156cd84956240aa">BE_LICENCE</a>,                 <span class="comment">// Server is using BE and it has not yet been agreed to</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>};</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d9/d1e/class_connect_error_client_module.html">   23</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d1e/class_connect_error_client_module.html">ConnectErrorClientModule</a> : <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#a3a4bd280341e7cdfefa21d32cd10dfe9">ErrorHandlerModuleScript</a></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>{</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d9/d1e/class_connect_error_client_module.html#a2a32b9fe684c08371808a10c88da5d6f">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d1e/class_connect_error_client_module.html#a2a32b9fe684c08371808a10c88da5d6f">ConnectErrorClientModule</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        SetCategory(<a class="code hl_enumeration" href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a>.ConnectErrorClient);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d9/d1e/class_connect_error_client_module.html#ae16a5c3d3d93d50570861a97aebcee53">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d1e/class_connect_error_client_module.html#ae16a5c3d3d93d50570861a97aebcee53">InitOptionalVariables</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        super.InitOptionalVariables();</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        <a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">m_Header</a> = <span class="stringliteral">&quot;#server_browser_connecting_failed&quot;</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d9/d1e/class_connect_error_client_module.html#a074b37f16b81d6ef79de9865c5ffbe88">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d1e/class_connect_error_client_module.html#a074b37f16b81d6ef79de9865c5ffbe88">FillErrorDataMap</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        super.FillErrorDataMap();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.SERVER_UNREACHABLE,       <span class="stringliteral">&quot;#STR_server_unreachable&quot;</span>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.ALREADY_CONNECTING,       <span class="stringliteral">&quot;#STR_already_connecting&quot;</span>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.ERROR_MSG_SHOWED,         <span class="stringliteral">&quot;#STR_error_msg_showed&quot;</span>);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.INCORRECT_CLIENT_STATE,   <span class="stringliteral">&quot;#STR_incorrect_client_state&quot;</span>);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.INVALID_SESSION,          <span class="stringliteral">&quot;#STR_invalid_session&quot;</span>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.VERSION_MISMATCH,         <span class="stringliteral">&quot;#multi_server_not_compatible_message&quot;</span>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.VERSION_MISMATCH_RB,      <span class="stringliteral">&quot;#multi_server_not_compatible_message&quot;</span>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.VERSION_MISMATCH_AB,      <span class="stringliteral">&quot;#multi_server_not_compatible_message&quot;</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        </div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.DLC_CHECK_FAILED,         <span class="stringliteral">&quot;#mod_detail_info_warning&quot;</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.EMPTY_PASSWORD,           <span class="stringliteral">&quot;#STR_empty_password&quot;</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#af70dd5ba3cbe1b18c46b376704af322b">InsertErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.PASSWORD);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        <a class="code hl_function" href="../../d3/dce/_error_handler_module_8c.html#af70dd5ba3cbe1b18c46b376704af322b">InsertErrorProperties</a>(<a class="code hl_enumeration" href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a>.BE_LICENCE);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="preprocessor">#ifndef NO_GUI  </span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d9/d1e/class_connect_error_client_module.html#a11fb61918aebba6f6e5413581005bf77">   59</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d1e/class_connect_error_client_module.html#a11fb61918aebba6f6e5413581005bf77">OnEvent</a>(<a class="code hl_typedef" href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a> eventTypeId, <a class="code hl_class" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> params)</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">switch</span> (eventTypeId)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <span class="keywordflow">case</span> MPSessionPlayerReadyEventTypeID:</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>                <a class="code hl_variable" href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a>.GetUIManager().CloseSpecificDialog(<a class="code hl_variable" href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">m_LastErrorThrown</a>);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>            </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <span class="keywordflow">default</span>:</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    }</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>}</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="comment">/*class ConnectErrorClientModuleUI : UIScriptedMenu</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="comment">{   </span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">    override bool OnModalResult(Widget w, int x, int y, int code, int result)</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">    {</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment">        super.OnModalResult(w, x, y, code, result);</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="comment">        </span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="comment">        int error = ErrorModuleHandler.GetCodeFromError(code);      </span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="comment">        switch ( error )</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="comment">        {</span></div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span><span class="comment">            default:</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="comment">                break;</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span><span class="comment">        }</span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="comment">        </span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="comment">        return true;</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="comment">    }</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="comment">}*/</span></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593">EConnectErrorClient</a></div><div class="ttdeci">EConnectErrorClient</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00001">ConnectErrorClientModule.c:2</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a0763974ac198d8ead8dd2112dadfb216"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a0763974ac198d8ead8dd2112dadfb216">PASSWORD</a></div><div class="ttdeci">@ PASSWORD</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00019">ConnectErrorClientModule.c:19</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a27791dfb1f2dafcaa3f254cc2fdfc587"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a27791dfb1f2dafcaa3f254cc2fdfc587">ALREADY_CONNECTING</a></div><div class="ttdeci">@ ALREADY_CONNECTING</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00007">ConnectErrorClientModule.c:7</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a2bc49ec37d6a5715dd23e85f1ff5bb59"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a2bc49ec37d6a5715dd23e85f1ff5bb59">OK</a></div><div class="ttdeci">@ OK</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00004">ConnectErrorClientModule.c:4</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a362b93e14edc783d1156cd84956240aa"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a362b93e14edc783d1156cd84956240aa">BE_LICENCE</a></div><div class="ttdeci">@ BE_LICENCE</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00020">ConnectErrorClientModule.c:20</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a4712cb64f64b315736aaea8d419e6209"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a4712cb64f64b315736aaea8d419e6209">EMPTY_PASSWORD</a></div><div class="ttdeci">@ EMPTY_PASSWORD</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00017">ConnectErrorClientModule.c:17</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a492150679209559fe78671f21ea66bbe"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a492150679209559fe78671f21ea66bbe">INVALID_SESSION</a></div><div class="ttdeci">@ INVALID_SESSION</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00010">ConnectErrorClientModule.c:10</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a59d6d2068087b19ff990dc34f2ef238a"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a59d6d2068087b19ff990dc34f2ef238a">ERROR_MSG_SHOWED</a></div><div class="ttdeci">@ ERROR_MSG_SHOWED</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00008">ConnectErrorClientModule.c:8</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a68f5be09b28089e051fed7794ea5e41d"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a68f5be09b28089e051fed7794ea5e41d">VERSION_MISMATCH_AB</a></div><div class="ttdeci">@ VERSION_MISMATCH_AB</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00014">ConnectErrorClientModule.c:14</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a6cb1555724a28acf44a5160d21b8a485"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a6cb1555724a28acf44a5160d21b8a485">INCORRECT_CLIENT_STATE</a></div><div class="ttdeci">@ INCORRECT_CLIENT_STATE</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00009">ConnectErrorClientModule.c:9</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a6ce26a62afab55d7606ad4e92428b30c"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a></div><div class="ttdeci">@ UNKNOWN</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00003">ConnectErrorClientModule.c:3</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a724663616e20bd2ad7e196c7e271516c"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a724663616e20bd2ad7e196c7e271516c">SERVER_UNREACHABLE</a></div><div class="ttdeci">@ SERVER_UNREACHABLE</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00006">ConnectErrorClientModule.c:6</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a746b7d27d7150aa9997d41abeab1144d"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a746b7d27d7150aa9997d41abeab1144d">VERSION_MISMATCH</a></div><div class="ttdeci">@ VERSION_MISMATCH</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00012">ConnectErrorClientModule.c:12</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593a7921d7940e343d1862be904b31100827"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593a7921d7940e343d1862be904b31100827">DLC_CHECK_FAILED</a></div><div class="ttdeci">@ DLC_CHECK_FAILED</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00016">ConnectErrorClientModule.c:16</a></div></div>
<div class="ttc" id="a_connect_error_client_module_8c_html_aa07fb8e94c63ccb8d6a7e60ab7ca3593aec3eb868a7f7cabc09f2546845ca84da"><div class="ttname"><a href="../../da/dd6/_connect_error_client_module_8c.html#aa07fb8e94c63ccb8d6a7e60ab7ca3593aec3eb868a7f7cabc09f2546845ca84da">VERSION_MISMATCH_RB</a></div><div class="ttdeci">@ VERSION_MISMATCH_RB</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00013">ConnectErrorClientModule.c:13</a></div></div>
<div class="ttc" id="a_day_z_game_8c_html_a5b4f7935d7cbb89f7a4610452d633707"><div class="ttname"><a href="../../d8/dc8/_day_z_game_8c.html#a5b4f7935d7cbb89f7a4610452d633707">g_Game</a></div><div class="ttdeci">DayZGame g_Game</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/dc8/_day_z_game_8c_source.html#l03147">DayZGame.c:3147</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a2d3f584e8e321296112900417ad30de6"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a2d3f584e8e321296112900417ad30de6">m_Header</a></div><div class="ttdeci">class ErrorHandlerModule m_Header</div><div class="ttdoc">This is where to input logic and extend functionality of ErrorHandlerModule.</div></div>
<div class="ttc" id="a_error_handler_module_8c_html_a3a4bd280341e7cdfefa21d32cd10dfe9"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#a3a4bd280341e7cdfefa21d32cd10dfe9">ErrorHandlerModuleScript</a></div><div class="ttdeci">void ErrorHandlerModuleScript()</div><div class="ttdoc">Constructor, by default calls the function that will fill the ErrorDataMap.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00081">ErrorHandlerModule.c:81</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_ad9f62c7d858f6eab16c269c37531a476"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#ad9f62c7d858f6eab16c269c37531a476">InsertDialogueErrorProperties</a></div><div class="ttdeci">void InsertDialogueErrorProperties(int code, string message, int dialogButtonType=DBT_OK, int defaultButton=DBB_OK, int dialogMeaningType=DMT_EXCLAMATION, bool displayAdditionalInfo=true)</div><div class="ttdoc">Insert an error with Dialogue as handling, using the Optional Variables.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00233">ErrorHandlerModule.c:233</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_aeeed0459e982e653a7fcb5ddd1be9f9b"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#aeeed0459e982e653a7fcb5ddd1be9f9b">m_LastErrorThrown</a></div><div class="ttdeci">protected int m_LastErrorThrown</div><div class="ttdoc">Holds the last thrown error in this module, defaults to 0.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00069">ErrorHandlerModule.c:69</a></div></div>
<div class="ttc" id="a_error_handler_module_8c_html_af70dd5ba3cbe1b18c46b376704af322b"><div class="ttname"><a href="../../d3/dce/_error_handler_module_8c.html#af70dd5ba3cbe1b18c46b376704af322b">InsertErrorProperties</a></div><div class="ttdeci">void InsertErrorProperties(int code, string message=&quot;&quot;)</div><div class="ttdoc">Insert an error with no handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dce/_error_handler_module_8c_source.html#l00269">ErrorHandlerModule.c:269</a></div></div>
<div class="ttc" id="a_error_module_handler_8c_html_ae780bc06025224f6526b03ee3527469e"><div class="ttname"><a href="../../d5/dde/_error_module_handler_8c.html#ae780bc06025224f6526b03ee3527469e">ErrorCategory</a></div><div class="ttdeci">ErrorCategory</div><div class="ttdoc">ErrorCategory - To decide what ErrorHandlerModule needs to be called and easily identify where it cam...</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dde/_error_module_handler_8c_source.html#l00004">ErrorModuleHandler.c:5</a></div></div>
<div class="ttc" id="aclass_connect_error_client_module_html"><div class="ttname"><a href="../../d9/d1e/class_connect_error_client_module.html">ConnectErrorClientModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00023">ConnectErrorClientModule.c:24</a></div></div>
<div class="ttc" id="aclass_connect_error_client_module_html_a074b37f16b81d6ef79de9865c5ffbe88"><div class="ttname"><a href="../../d9/d1e/class_connect_error_client_module.html#a074b37f16b81d6ef79de9865c5ffbe88">ConnectErrorClientModule::FillErrorDataMap</a></div><div class="ttdeci">override void FillErrorDataMap()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00037">ConnectErrorClientModule.c:37</a></div></div>
<div class="ttc" id="aclass_connect_error_client_module_html_a11fb61918aebba6f6e5413581005bf77"><div class="ttname"><a href="../../d9/d1e/class_connect_error_client_module.html#a11fb61918aebba6f6e5413581005bf77">ConnectErrorClientModule::OnEvent</a></div><div class="ttdeci">override void OnEvent(EventType eventTypeId, Param params)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00059">ConnectErrorClientModule.c:59</a></div></div>
<div class="ttc" id="aclass_connect_error_client_module_html_a2a32b9fe684c08371808a10c88da5d6f"><div class="ttname"><a href="../../d9/d1e/class_connect_error_client_module.html#a2a32b9fe684c08371808a10c88da5d6f">ConnectErrorClientModule::ConnectErrorClientModule</a></div><div class="ttdeci">void ConnectErrorClientModule()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00025">ConnectErrorClientModule.c:25</a></div></div>
<div class="ttc" id="aclass_connect_error_client_module_html_ae16a5c3d3d93d50570861a97aebcee53"><div class="ttname"><a href="../../d9/d1e/class_connect_error_client_module.html#ae16a5c3d3d93d50570861a97aebcee53">ConnectErrorClientModule::InitOptionalVariables</a></div><div class="ttdeci">override void InitOptionalVariables()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dd6/_connect_error_client_module_8c_source.html#l00030">ConnectErrorClientModule.c:30</a></div></div>
<div class="ttc" id="agroup___tools_html_de/d90/class_param"><div class="ttname"><a href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a></div><div class="ttdoc">Base Param Class with no parameters. Used as general purpose parameter overloaded with Param1 to Para...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/param_8c_source.html#l00011">param.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga8bb92c7c1a97bd358a549857dc2fe53c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga8bb92c7c1a97bd358a549857dc2fe53c">EventType</a></div><div class="ttdeci">TypeID EventType</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00054">EnWidgets.c:54</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_5f59cc895a301a4461c2a7ad6af3e56a.html">Global</a></li><li class="navelem"><a class="el" href="../../dir_99f77763ec6dc0e79b618f00bcde15d5.html">ErrorModuleHandler</a></li><li class="navelem"><a class="el" href="../../da/dd6/_connect_error_client_module_8c.html">ConnectErrorClientModule.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
